Bug 437563 - Add UI status when granting or revoking Sat Admin role to user
Add UI status when granting or revoking Sat Admin role to user
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
520
All Linux
high Severity low
: ---
: ---
Assigned To: Shannon Hughes
Preethi Thomas
https://test10-64.rhndev.redhat.com/r...
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2008-03-14 17:37 EDT by Mike McCune
Modified: 2010-07-29 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2008-03-14 17:37:51 EDT
When on the /rhn/admin/multiorg/Users.do page and you grant or revoke the sat
admin role you don't get any messaging as to what happened.

Just suggesting we add a 'Sat Admin role granted' or revoked in the status area
on the page.
Comment 1 Shannon Hughes 2009-02-04 10:07:53 EST
added messages for both adding sat admin roles and removing roles. 

test plan: 

1) be logged in as sat admin
2) go to the admin tab and lock on users
3) toggle sat admin rights
4) confirm messages:

example, 

"Removed Satellite Administrator role from fredf"
Comment 2 Preethi Thomas 2009-02-10 11:49:11 EST
verified.
Comment 3 wes hayutin 2009-07-31 08:12:16 EDT
Added Satellite Administrator role to westest

Removed Satellite Administrator role from westest

release pending
Comment 4 Brandon Perkins 2009-09-10 15:47:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.